﻿using System;
using SilentorBit;
using System.IO;

namespace SpritePacker.GUI
{
	public class SpriteListView : ListView<Sprite>
	{
		public SpriteListView() : base("Number", "Filepath")
		{
		}

		protected override void RenderCell(Gtk.CellRendererText render, int index, Sprite item)
		{
			switch(index)
			{
				case 0:
					render.Text = index.ToString();
					break;
				case 1:
					render.Text = item.Filename;
					break;
				default:
					throw new InvalidDataException($"Invalid column index {index}");
			}
		}
	}
}

